v1.0
 - original Frozen Throne beta released
 - cvar mp_restrictmaps added, it prevents war3:FT from running on iceworld and dustworld (bc it crashes)
 - removed cvar mp_grenadeprotection
 - added function (walker) that stops the footsteps sound when unholy aura (level 3) is used while walking

v1.1.6
 - fixed "CANNOT USE ULTIMATE BEFORE FREEZETIME" message appearing after freezetime
 - fixed undead moving during freezetime and people with boots of speed
 - fixed error : [AMX] Function is not present (function "roll_the_dice") (plugin "warcraft3FT.amx")

v1.1.7
 - fixed Protectant not starting AFTER freezetime

v1.2.0
 - fixed ultimates sometimes not being reset after five seconds if sv_restrictultimate = 0
 - some weapon xp multipliers changed (scout)
 - tried to give shields back if user has weapon reincarnation (not 100% of the time)
 - Price for MOLE changed to 16000

v1.2.1
 - changed the way freezetime is set so it will not be reset if someone respawns
 - changed specatating info b/c of loss of text (HUD Messages) after so many characters (damn steam)
 - Added amx_xp function that allows admins to give experience to players (displays a menu), not complete yet though
 - Removed some useless functions/comments/bools

v1.2.2
 - Fixed Go Go Go Freezetime Exploit

v1.2.3
 - amx_xp Menu works... (I hope :) )

v1.2.4
 - another update on the damn amx_xp menu

v1.2.5
 - increased chances for Hex to 5,10 and 15%
 - banish now does 7 damage with a slap :)

v1.2.6
 - fixed it so wardens don't always spawn with a shield
 - fixed it so on KA maps, people that are warden will not get a pistol anymore
 - fixed playerskills bug (orcish horde appeared as humans)
 - fixed weapon reincarnation bug where player could have 2 weapons

v1.2.7
 - added cvars "FT_mysql_host", "FT_mysql_user", "FT_mysql_pass", and "FT_mysql_db"
 * add definitions for the above cvars in your mysql.cfg file if you are using mp_savexp
   and if sv_mysql is 1

v1.2.8
 - Having flaming gloves disables orc nade's special abilities (it's too damn powerful)
 - Ultimates not take 20 seconds to reset
 - MOLE now works EVERYTIME, as well as fan of knives.. no longer buggy
 - Items were encorporated in different ways
 - code optimized
 - removed MOLE Protectant
 - Added Headshot bonus
 - Human health shows instantly
 - No more level up sound when changing race
 - added blink as an option for human ultimates
 - encorporated a fix so pistols will not be given to players on KA maps
 - pistols no longer thrown on the ground
v1.2.9
 - Made it so that if BLINK_NOCEILING is 1, then players will be slayed for skywalking and entering certains places they normally shouldn't be

v1.3.0
 - Percentages are displayed correctly in 1.5
 - fixed testing for abilities after respawning (buying an item)
 - added cvar mp_grenadeprotection (only tested w/steam)

v1.3.1
 - Removed many runtime errors
 - Also fixed the bugged carrion beetles skill
 - Carrian beetles displays correctly now in skills_info

v1.3.2 (thanks ^^plan.los^^ for posting these bugs)
 - Fixed undead not being able to buy scroll of respawn until dead
 - Fixed Mole still displaying as an item after it was already used
 - Can no longer place a serpent ward after the round ends (supposedly causes a crash)
 - Added SHORT_TERM, MYSQL_ENABLED, and MYSQL_AUTO_PRUNING (from war3 2.22.9)
 - Fixed autoselect in changerace

v1.3.3
 - Fixed respawn bug caused by droppistols function
 - MULTI_WEP_FIX removed, it is default
 - Also, you must be alive in order for pheonix to revive a teammate
 - You are now unable to have more than 200 armor w/the life preserver
 - Added NO_GLOVES_ON_KA to prevent gloves on ka maps
 - Fixed pheonix reviving other team on accident (silly me)
 - Fixed pheonix reviving teammate after the round has ended
 - Fixed scroll of respawning reseting pheonix

v1.3.4
 - If you are warden with blink, you will no longer be killed by undead's suicide bomber
 - if you are killed by a warden w/blink, you will no longer revive a teammate w/pheonix
 - Fixed defuse kit not coming up w/weapon reincarnation
 - You are now given 2 flashbangs if you bought 2 the previous round (and you deserve reincarnation)
 - you no longer lose your ankh when you do not die (sorry bout that one :(   )

v1.3.5
 - removed hostage tax
 - added option to say resetskills as well as reset_skills
 - flamestrike is now only 1 use every 20 seconds
 - fixed fan of knives not working (actually it was assigned to shadow strike on accident)
 - will not spawn w/a pistol on scoutzknivez or scoutzknivez2

v1.3.6
 - flame strike does less damage, it was too powerful
 - added HUD_MESSAGE_FOR_ITEM which allows u to disabled using a hud channel to display items (it will display the items like the traditional war3)
 - fixed being revived not giving humans the correct health
 - fixed being revived stopping cooldowns
 - fixed reincarnation happening every round after being revived
 - fixed pheonix sometimes not working
 - bug fixed w/helm not working the next round (thanks to ^^plan.los^^)
 - bug fixed were you get xp for killing the bomb carrier after the bomb was planted (thanks to ^^plan.los^^)

v1.3.7
 - fixed ANKH for good?
 - fixed respawning as chameleon if you died as a mole
 - fixed gloves sometimes not working
 - made it so if you are near someone w/blink, invisibility no longer works
 - if using big bad voodoo, you will no longer be killed be the undead's suicide bomber (or thorns aura)
 - big bad voodoo can now be reused after respawning
 - siphon mana now steals money
 - thorns now works with serpant wards

v1.3.8
 - fixed mole's spawning on top of each other (thanks bad-at-this)
 - big bad voodoo problem fixed
 - no more respawn bug

v1.3.9
 - you will not get XP for events until there are at least 2 players in the game
 - fixed bombcarrier and bombdefuser awarding false XP
 - fixed changerace menu being selected when choosing a skin

v1.4.0
 - EXTENSIVE CHANGES
 - Vault introduced
 - war3FT.cfg file introduced (now you don't have to recompile all the time)
 - mp_allowchangerace removed, by default it is on
 - removed unneeded functions
 - changed how the race menu is shown when you join a game
 - boots of speed actually work now
 - Undead will actually stop moving when entangled
 - Problem w/chameleon being exploited fixed
 - fixed some problems w/elf abilities

v1.4.1
 - removed Life Preserver, added Mole Protectant

v1.4.2
 - removed savelog() function, caused endround lag after file became over 1MB
 - fixed some skin functions
 - short term set up correctly (just make sure mp_savexp and sv_mysql are 0)
 - weapons will reincarnate if the bomb kills you
 - MANY more configuration options in war3FT.cfg

v1.4.3
 - entangling roots will actually stop undead w/unholy aura now
 - fixed small reincarnation bug (if bomb explodes after round end)
 - fixed shadow hunter's dying w/big bad voodoo by undead's suicide bomber
 - tome gives more xp per level
 - shield reincarnates (not 100%, but about 80% of the time, better than nothing)
 - message displayed in console about what ability killed you (if any)
 - added amx_givexp <name> <xp>
 - added icons (FT_show_icons)
 - added more sounds
 - if a warden has blink, he/she will now do damage to a shadow hunter during big bad voodoo
 - mole will not be a little disoriented after being transported
 - no longer uses the war3 dll
 - fixed ankh bug where you would lose your weapons if you lived and had the ankh (opps)
 - complete re-wrote how damage is dealt and how it determines if someone is dead (do_damage function)
 - FINALLY fixed a warden bug that I've had since v1.0 (sometimes items wouldn't work, runtime errors.. etc)

v1.4.4
 - added FT_kill_objectives, shows how much XP you gained for killing the enemy (and for HSs)
 - changed the cham and walker process (cham is gone)
 - fixed shadow strike bug (runtime error 4)
 - fixed another warden bug
 - big bad voodoo dropped to 2 seconds
 - fixed big bad voodoo sometimes killing you
 - fixed another runtime error (dealth with healing wave)
 - fixed another runtime error (hex)
 - removed "don't buy scroll yet" message for those that have vengeance (bc sometimes you will not respawn if killed by a warden)
 - fixed bug where ultimates weren't always being used by bots
 - fixed another runtime error (shadow strike)
 - fixed another runtime error (impale)
 - ankh bug fixed (sometimes it wouldn't reincarnate when you didn't die the round before)
 - added option for only 5 races (and no shopmenu2)... similar to war3 RC20 except a different 5th race
 - added a sound for weapon reincarnation (through sound files from war3x into the mix)

v1.4.5
 - can no longer use ultimate during freezetime
 - fixed gaining multiple XP for one kill
 - prevents ultimates from injuring people after the caster has died (chain lightning, entangle, locust swarm)
 - added flashbang effect after using blink instead of that blue thing (human teleport)
 - fixed run time error 10 (get_weaponname(wpnid,wpnname,31))
 - fixed run time error 4 (set_task(p_heal[p_skills[id][1]-1],"healitnow",id+90,parm,2))
 - added cvar FT_teleport_cooldown
 - special kills displayed in the console for everyone
 - hostage rescuer XP wasn't showing, is now
 - won't get XP for killing your teammates now (killing teammate w/bomb)
 - ultimate icons won't show until freezetime is done
 - if you have the necklace of immunity, you will now damage those using big bad voodoo
 - amx_givexp is EXACTLY like amx_clexec (you can type amx_givexp @CT 1000 or amx_givexp @TERRORIST 100), I also added an @ALL to send XP to everyone :)
 - added amx_savexp command (similar to amx_givexp except it saves XP for players, same syntax as amx_givexp (except for the xp, ie: amx_savexp @CT)
 - walker process called every .1 seconds instead of every .2
 - removed all debug messages

v1.4.6
 - new ultimate for the crypt lord, the swarm of locusts leaps from you and follows the enemy (can show you where the enemy is :)
 - Unholy Aura speed increased
 - fixed bug where if you changed race and menu was displayed the next round, you MIGHT have received some abilities from your previous race
 - changed critical grenade damage back to 2,4,6 times normal damage (don't know why it wasn't that originally)
 - fixed bug where if u had 5 rings, then bought another item, you would get the other item for free
 - fixed "Cannot be performed on dead client and immunity message" when trying to givexp to someone w/the amx_givexp command
 - fixed runtime error 10 that dealt w/crypt lord's new ultimate (sometimes you would have to push the ultimate button numerous times)
 - warden's blink no longer disables ALL enemy abilities, only ultimates
 - warden's blink will automatically deflect MOST damage from moles (not headshots)
 - encorporated shadowmeld, a passive night elf ability, works after level 6, basically if you have your knife out and are not moving, you are COMPLETELY invisible (30 seconds MAX overall)
 - added many more configuration options in war3FT.cfg (all cooldowns for ultimates,FT_healing_range,FT_blast_radius,FT_explosion_range,FT_explosion_max_damage,FT_passive_skills)

v1.4.7
 - fixed restartround causing you to lose all your XP
 - fixing flaming gloves not being allowed on regular maps
 - fixed banish slapping the enemy, but doing damage to the attackee
 - fixed levitation not working after respawning
 - lowered the time until your health is reset after respawning from scroll (lowered to .9 from 2.2 seconds)
 - changed how money is given and taken (small changes)
 - fixed bug where you could buy an ankh, then another item, and the ankh would still work
 - rings now reduce lag on the server
 - warden will spawn w/minimum of mp_startmoney, not 1800 now
 - removed passive abilities (that will be FT v2.0)
 - playername now stored in vault (at the end of the string)
 - changed how MOLE and ANKH function
 - fixed mp_grenadeprotection
 - fixed ultimate icon not showing after respawning
 - cannot buy the same item in the shopmenu anymore that you already own (except rings)

v1.4.8
 - fixed crit. nades not working after you die
 - fixed ultimate icons working PERFECTLY!
 - fixed TKs not showing for aggressive auras
 - fixed it so u no longer receive $300 for killing a teammate w/an aggressive aura
 - equipment reincarnation after bomb explosion is more full proof (not perfect)
 - fixed some spelling error's in the Blood mage's description

v1.4.9
 - fixed rings not regenerating after the 1st round (and some other ring problems)
 - fixed siphon mana reading the wrong skill in skillsinfo
 - removed weapon_ from the weapon displayed when looking at someone
 - fixed immunity and blink not damaging someone w/god mode
 - mole's no longer spawn on top of each other
 - fixed bug where those w/blink were still immune to orc nades
 - fixed being entangled when respawning (if you were entangled right when you died)
 - critical grenades now have a red trail
 - made it so NO MATTER WHAT, xp/items/race will always be in the bottom left
 - fixed spawning with nothing when selecting orc on first round
 - fixed it so you can't buy the respawn scroll at round end (it will do nothing)
 - fixed bug where you can buy an item b4 the game starts and keep it (yes i know it sucks, I loved this bug :)
 - if you buy a grenade b4 the game commencing message, you can now buy one after this message (next round)
 - possibly fixed NE/orc ultimates sometimes not working

v1.5.0
 - Playernames not shown during freezetime (better for moles)
 - reverted to old code for lightning/entangling roots
 - XP is now given to the terrorists when the bomb explodes
 - added FT_round_win_XP
 - added resetxp (say it), resets players XP to 0
 - if you have gloves and are an orc, the nade will not have the red trailer now
 - bug fix for 1.5 (where players get stuck after weapon reincarnation)
 - added FT_glove_orc_damage (set to 1 to allow orc nades to do full damage when using gloves)
 - added option for competitive leagues, FT_competitive (shopmenu only works during buytime and when you're in the buyzone)

v1.5.1
 - added messages if FT_competitive is on explaining why the shopmenus will not load
 - fixed FT_competitive, some parts were not working correctly (buytime part)
 - all sound files are lowercase now (overwrite old files linux users)
 - MANY more sounds added
 - fixed bug where you would still have the silent footsteps after dying from the bomb (even though u lost the item)
 - fixed bug where the wrong health was displayed for teammates (your health was displayed)
 - XP for winning the round now increases with your level
 - itemsinfo2.txt, itemsinfo.txt and war3help.txt are no longer needed
 - should have permanently fixed the 1.5 bug w/weapon reincarnation (i did it worse in 1.5.0, it wouldn't work at all)

v1.5.2
 - fixed bug where tele. icon would not appear if you selected the race after the round began
 - added option to have items and race abilities in german
 - when warcraft3 is set to false, itemsinfo 1 and 2, war3menu and war3help no longer work
 - added FT_glove_timer to war3FT.cfg
 - fixed bug where a serpant ward kill was listed as a big bad voodoo kill
 - will no longer see messages saying that the server gained XP for a kill
 - added debug messages for helm
 - changed mole height to 72 (does this help for 1.5?)
 - fixed bug where other utlimate icons would not appear even though you have it
 - spec info no longer displays cash (or MOLE)
 - fixed CT/T win message so its not ALWAYS 5 XP
 - added FT_4race, FT_5race, FT_8race
	NOTE: 4 and 5 race DO NOT have shopmenu2
 - fixed 1.5 error (buy_weapons runtime error)

v1.5.3
 - fixed ultimate icons showing at the beginning of each round if you didn't die the previous round
 - you will no longer received xp for "helping" yourself escape as VIP
 - fixed 2nd part of XP being displayed as 0 in the hud (ex: xp  44/0)
 - took out messages for beetles (and daggers) left
 - basically the ENTIRE mod now functions in german (talk about a pain in the ass)

v1.5.4
 - removed some translations to german (too hard to update things)
 - converted war3help to german (except the last 2 lines)
 - hopefully fixed spawning with no suit and spawning outside of the map
 - flaming gloves and claws will display the correct value if changed
 - fixed a few sound issues
 - if short term, when restart round is called, all XP will be reset
 - fixed being able to change your race after warden respawns

v1.5.5
 - when you kill a player, it won't be displayed as negative XP gained now
 - changed how sounds are emitted
 - you now cannot teleport if the enemy beside you has immunity
 - resetskills was defined wrong in war3help
 - added resetxp to war3help
 - fixed bug where resetxp wouldn't save your xp if it was 0
 - fixed pheonix ready and mole ready message when player was dead
 - fixed auto-select not showing
 - added FT_position (allows for changing which side of the screen spectating info is on)
 - there must be 1 person on each team before they can gain XP now
 - faulty headshot XP message should be fixed
 - can only buy scroll, ankh and tome when dead now
 - wardens can no longer change they're race after they respawn

v1.5.6
 - fixed helm not always working
 - will slay CTs for teleporting DIRECTLY in front of the helicopter in oilrig (or in it, if FT_blink_protection is on)
 - you can now purchase mole when dead
 - fixed it so if you're entangled, then die, then are revived, you won't still be entangled
 - fixed playerskills showing undead for any race
 - players can no longer spawn as spectators (if they know the bug)
 - undead bug (where you kill your own teammates when switching teams) should be fixed now
 - fixed strtonum function not found run time error
 - added select hero for the last 4 races (after all they are heros, not races)
 - mole is no longer a 1 time use
 - fixed death message from being cut off in console
 - flame strike now does more damage
 - fixed bug where teleport icon wouldn't show if FT_startdisabled was set to 0
 - fixed bug w/warden ultimate icon

v1.5.7
 - added FT_saveby (0=steam id, 1=ip, 2=name, ONLY for vault, MySQL will ALWAYS save by steam id)
 - fixed gaining XP w/tomb when less than 2 players and gaining xp when you end the round
 - fixed issues where some things would work when sv_warcraft3 was 0 (ie, gaining XP)

v1.5.8
 - changed no gloves on ka maps message to be printed in the center instead of chat
 - added FT_centerhud (set to 0 to disable forcing clients to have the hud in the bottom left)

v1.5.9
 - fixed all the heros displaying as yellow in short term mode
 - fixed bug with getting almost no gravity if sv_gravity was changed (lev. only works if sv_gravity is b/t 750 and 850, default is 800)
 - added FT_no_orcnades_on_he, prevents orc nades from functioning on he maps (and jail_riot)
 - added FT_min_b4_XP, minimum amount of players needed b4 awarding XP
 - if you respawn or are revived, you are given back your serpant wards
 - fixed bug where when you are revived, you can lose your mole

v1.6.0
 - fixed bug with info being displayed wrong for warden and crypt lord
 - AMXX: added FULL support for amxx, just change AMXMODX to 1 and recompile the sma
 - AMXX: disabled the orc nade trailer for amxx as it is causing crashes (doesn't affect amx)
 - AMXX: changed skills_info function so it will compile on amxx's website

v1.6.1
 - AMXX: created a default config directory for warcraft3ft

v1.6.2
 - fixed Run time error 4 on line 2862 (task "8") (plugin "warcraft3FT.amx")  (in the glow_change function)
 - AMXX: fixed getting stuck under the map in some cases
 - removed debug test function (opps, my bad)

v1.6.3
 - added new war3menu (little easier to use)
 - added chat messages when war3vote is disabled and someone tries to initiate a vote
 - changed the default value for sv_allowwar3vote to 0
 - whenever someone initiates a war3vote it is saved in the half life log files
 - added an admin menu (access it by typing war3menu)
 - changed the respawn functions, hopefully less confusing now
 - hopefully fixed the undead/spectator bug
 - added an option to the admin menu to save everyone's XP
 - orc nade kills now appear in psychostats, as well as other kills from auras
 - Temporary fix for orc nades in CZ, they will work now... somewhat, if two people throw orc nades at the same time u might see some weird results

v1.6.4
 - short term is now affected by mp_xpmultiplier
 - removed all debug messages regarding critical nades
 - fix for orc nades is MUCH better now for CZ.  It uses origin of where the nade exploded and links it to the thrower.. see code for details
 - added changexp for use with the advanced swear filter on AMXX's forums (same as dopefish's changexp command)
 - FT_saveby NOW works for MYSQL, so you can save based on IP, name and auth id
 - timestamp now recorded for the vault
 - changed "default" gravity to greate than 650 instead of 750 (deals with disabling undead's lev if you change sv_gravity... if you lower it too much their gravity is weird)
 - fixed fan of knives being activated in the middle of the round after a changerace
 - removed pheonix ready message
 - prevented the walker command from being called more than once
 - fixed bug where if the last person was undead and exploded next to a warden w/blink, it would kill the warden (thanks Kamikaze)
 - fixed bug where longterm xp would be set at the short term value
 - removed removeinvis, statusrunning, reseting, changingrace, godtime, runningcarrion, fancalled variables (not used anymore)
 - removed resetultimate function (not used)
 - liu - removed "#define AMXMODX" in favor of "#if defined _amxmodx_included" (seamless compiling on either AMX or AMXX) (from v1.6.3p1)
 - liu - changed some of the skills_info code so its less code
 - liu - added option to restrict ultimate for the first X seconds of the round (FT_ultimatedelay) (from v1.6.1p1)

v1.6.5
 - fixed two people reviving the same person (wasted a reviving)
 - removed teamselect function
 - removed currentteam variable
 - fixed pheonix
 - fixed bug with mp_grenadeprotection (not being able to buy one after game commencing)
 - fixed a small bug w/orc nades w/CZ yet again
 - fixed bug with reset_maxspeed where people could move during freezetime, VERY RARE!
 - added another check for skywalkers
 - fixed another bug with mp_grenadeprotection
 - everything admin related has been change to ADMIN_LEVEL_A  (flag "m")
 - fixed helm bug regarding set_user_hitzones(id), thanks mugwump
 - fixed bug regarding healthadjustment, thanks mugwump
 - fixed bug regarding roots and lightning at round start, thanks kamikaze
 - fixed bug where blood mages couldn't use their ultimate during the next round, somewhat rare, thanks Krid

v1.6.6
 - FT_no_orcnades_on_he changed to FT_no_orcnades, and fy maps were added
 - added more skywalking checks for cz, thanks kamikaze
 - fixed NE and orc ultimates?
 - added french, thanks laurent for the translation
 - fixed a bug where "ERROR, YOU HAVE MORE THAN 1 RACE OPTION SELECTED IN YOUR WAR3FT.CFG FILE" may appear when it is not true (temp was uninitialized)

v1.6.7
 - NOTE: Significant changes on this version were from bad-at-this and NeKo
 - added a ton of sprites for races and levels
 - unable to buy shopmenu items in an empty server
 - added corrected french translations, and almost every phrase is now available in french
 - fixed bug where gloves would not restrict on KA maps
 - added a 9th race (Chameleon, FT_9race in war3ft.cfg)
 - added another tele checks (cs_italy_cz on balcony)
 - added weapon crap for gali and famas (defines)
 - more blood option added (FT_showblood in war3FT.cfg)
 - options added to start and stop the MOD at certain times (see war3FT.cfg FT_control, FT_start, FT_stop, etc..)
 - FT_no_orc_nades_on_HE removed (view bottom of war3ft.cfg for changes)
 - added new skins for CZ
 - fixed orc nades on CZ (thanks NeKo)
 - fixed keeping shopmenu items if you died from the bomb
 - fixed bug where you can basically do anything you wanted from anywhere (fullupdate bug, TY for the info Bigdoom)
 - Wand of Illusion replaced "Sock of the feather"

v1.6.8
 - no when you are undead, you will explode when a warden kills you, you just will not harm the warden (if he/she has blink)
 - fixed bug where mole wouldn't work (if reincarnate = false)
 - fixed bug where orc nade trails were shown on maps where they were disabled
 - fixed bug with the wand

v1.6.9
 - fixed runtime error with getweaponname when variable was uninitialized
 - added FT_CD
 - added level command (can now bind a key to level)
 - made it so during freezetime u can't see your teammates (so you don't know who the mole is)
 - support for AMX .9.9 added, thanks to...(I don't know who did it...)
	- functions changed: 
		- set_user_footsteps removed
		- entity_get_origin() removed
		- find_entity syntax changed
		- find_ent_sphere() removed
		- removed get_user_velocity()
 - no longer executes the mysql.cfg file, assuming u have mysql info in war3FT.cfg
 - code that prevents undead's footsteps is a little better, not perfect though
 - amxx .20 support added (mysql code rewritten)